### Function

# Gtk.render_line

#### Declaration [src]

    void
    gtk_render_line (
      GtkStyleContext* context,
      cairo_t* cr,
      double x0,
      double y0,
      double x1,
      double y1
    )

#### Description [src]

Renders a line from (x0, y0) to (x1, y1).

#### Parameters

`context` | `GtkStyleContext`
| a `GtkStyleContext`
| Ownership is not transferred to the callee
`cr` | `cairo_t*`
| a #cairo_t
| Ownership is not transferred to the callee
`x0` | `double`
| X coordinate for the origin of the line
`y0` | `double`
| Y coordinate for the origin of the line
`x1` | `double`
| X coordinate for the end of the line
`y1` | `double`
| Y coordinate for the end of the line